Last Comment Bug 759734 - "seek.webm" test got timeupdate + pause events after it got the ended event
: "seek.webm" test got timeupdate + pause events after it got the ended event
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Maire Reavy [:mreavy]
Mentors:
Depends on: 760325
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 06:43 PDT by Mats Palmgren (:mats)
Modified: 2012-06-01 17:07 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mats Palmgren (:mats) 2012-05-30 06:43:23 PDT
+++ This bug was initially created as a clone of Bug #687972 +++

In bug 677964 I added some diagnostic code to detect mochitests that run
tests after SimpleTest.finish(). test_timeupdate_small_files.html fell out:

94838 INFO TEST-PASS | /tests/content/media/test/test_timeupdate_small_files.html | http://mochi.test:8888/tests/content/media/test/seek.webm got ended
94839 INFO TEST-PASS | /tests/content/media/test/test_timeupdate_small_files.html | [finished seek.webm-3] Length of array should match number of running tests - 0 should equal 0
94840 INFO TEST-INFO | /tests/content/media/test/test_timeupdate_small_files.html | Finished at Tue May 29 2012 20:27:39 GMT-0700 (Pacific Daylight Time) (1338348459.051s)
94841 INFO TEST-INFO | /tests/content/media/test/test_timeupdate_small_files.html | Running time: 6.36s
94842 INFO TEST-PASS | /tests/content/media/test/test_timeupdate_small_files.html | http://mochi.test:8888/tests/content/media/test/seek.webm got timeupdate
94843 INFO TEST-PASS | /tests/content/media/test/test_timeupdate_small_files.html | http://mochi.test:8888/tests/content/media/test/seek.webm got pause
94844 INFO TEST-END | /tests/content/media/test/test_timeupdate_small_files.html | finished in 6447ms
94845 INFO TEST-START | /tests/content/media/test/test_too_many_elements.html
94846 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_too_many_elements.html | [onunload] /tests/content/media/test/test_timeupdate_small_files.html ran additional tests after finish() was called.

It appears "seek.webm" got timeupdate + pause events after it got the
ended event.  There's a comment in the test that says this is a real
bug, not just an error in the test.

https://tbpl.mozilla.org/php/getParsedLog.php?id=12180527&tree=Try#error6

(maybe this can explain the orange in bug 687972?)
Comment 1 Mats Palmgren (:mats) 2012-06-01 17:07:26 PDT
I forgot I filed this and fixed the test in bug 760325 instead.  The test
now ignores timeupdate/pause/stalled events after ended while removing
the element.  Feel free to reopen this bug if that shouldn't be allowed.

Note You need to log in before you can comment on or make changes to this bug.